<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    android:name="com.projettut.asuivre.MainActivity"
    package="com.projettut.asuivre">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.USE_CREDENTIALS" />
    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true">
        <activity
            android:name=".view.Activity.ContinueStoryActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.Activity.CommentActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.CreateStoryActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.UserActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.SettingsActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.HomeActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.CategoriesActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.FullStoryDisplayActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity android:name=".view.Activity.CategoryActivity" android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan" />
        <activity
            android:name=".view.Activity.WelcomeActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />
        <meta-data android:name="com.facebook.sdk.ApplicationId" android:value="@string/facebook_app_id"/>
        <activity android:name="com.facebook.FacebookActivity" android:configChanges= "keyboard|keyboardHidden|screenLayout|screenSize|orientation" android:label="@string/app_name" />
        <activity android:name="com.facebook.CustomTabActivity" android:exported="true">
            <intent-filter> <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="@string/fb_login_protocol_scheme" />
            </intent-filter>
        </activity>
    </application>
</manifest>